## gnome-shell-extension-system-monitor 31

=== debian/changelog ===
gnome-shell-extension-system-monitor (31-1) unstable; urgency=medium

  * Initial release (Closes: #847080)

 -- Jonathan Carter <jcarter@linux.com>  Wed, 26 Oct 2016 09:26:33 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Arabic translation directory does not exist, (reported upstream)
	mkdir -p system-monitor@paradoxxx.zero.gmail.com/locale/ar/LC_MESSAGES
	for POFILE in po/*/system-monitor.po; do \
		MOLANG=$$(echo $$POFILE | sed -e "s/po\///g" | sed -e "s/\/system-monitor.po//g"); \
		MOFILE="system-monitor@paradoxxx.zero.gmail.com/locale/$$MOLANG/LC_MESSAGES/system-monitor.mo"; \
		msgfmt -cv -o $$MOFILE $$POFILE; \
	done
	dh_auto_build

## gnome-shell-extension-system-monitor 31+git20161222

=== Makefile ===
# Basic Makefile

UUID = system-monitor@paradoxxx.zero.gmail.com
BASE_MODULES = $(UUID)/extension.js $(UUID)/README* $(UUID)/metadata.json $(UUID)/prefs.js $(UUID)/stylesheet.css $(UUID)/convenience.js $(UUID)/compat.js
ifeq ($(strip $(DESTDIR)),)
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
endif
INSTALLNAME = system-monitor@paradoxxx.zero.gmail.com

# The command line passed variable VERSION is used to set the version string
# in the metadata and in the generated zip-file. If no VERSION is passed, the
# current commit SHA1 is used as version number in the metadata while the
# generated zip file has no string attached.
ifdef VERSION
	VSTRING = _v$(VERSION)
else
	VERSION = $(shell git rev-parse HEAD)
	VSTRING =
endif

all: extension

clean:
	rm -f ./$(UUID)/schemas/gschemas.compiled

extension: ./$(UUID)/schemas/gschemas.compiled

./$(UUID)/schemas/gschemas.compiled: ./$(UUID)/schemas/org.gnome.shell.extensions.system-monitor.gschema.xml
	glib-compile-schemas ./$(UUID)/schemas/

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; \
	zip -qr "$(UUID)$(VSTRING).zip" .
	mv _build/$(UUID)$(VSTRING).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) _build
	mkdir -p _build/locale
	cp -r $(UUID)/locale/* _build/locale/
	mkdir -p _build/schemas
	cp $(UUID)/schemas/*.xml _build/schemas/
	cp $(UUID)/schemas/gschemas.compiled _build/schemas/
	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;

## gnome-shell-extension-system-monitor 31+git20161222-3967cdd

=== debian/changelog ===
gnome-shell-extension-system-monitor (31+git20161222-3967cdd-1) unstable; urgency=medium

  * Update to git master, fixes empty menus (Closes: 849194)

 -- Jonathan Carter <jcarter@linux.com>  Mon, 23 Jan 2017 14:37:27 +0200

=== debian/control ===
Source: gnome-shell-extension-system-monitor
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcarter@linux.com>
Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin
Standards-Version: 3.9.8
Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging.git
Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging/tree/master

Package: gnome-shell-extension-system-monitor
Architecture: all
Depends: gir1.2-gtop-2.0,
         gir1.2-networkmanager-1.0,
         gnome-shell (>= 3.16),
         ${misc:Depends}
Description: Display system information in GNOME Shell status bar
 System information such as memory usage, cpu usage, network rates and more
 can be displayed in the notification area in GNOME Shell.
 .
 Settings can be accessed via gnome-tweak-tool where monitoring settings
 can be adjusted.

## gnome-shell-extension-system-monitor 32

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	mv _build/$(UUID)$(VSTRING).zip ./
 	-rm -fR _build
 
-_build: all
+_build: update-translation
 	-rm -fR ./_build
 	mkdir -p _build
 	cp $(BASE_MODULES) _build
@@ -55,3 +55,7 @@
 	cp $(UUID)/schemas/*.xml _build/schemas/
 	cp $(UUID)/schemas/gschemas.compiled _build/schemas/
 	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;
+
+update-translation: all
+	cd po; \
+	./compile.sh ../system-monitor@paradoxxx.zero.gmail.com/locale;

=== debian/changelog ===
gnome-shell-extension-system-monitor (32-3) unstable; urgency=medium

   * Upload to unstable
   * Update standards version to 4.0.0

 -- Jonathan Carter <jcarter@linux.com>  Tue, 11 Jul 2017 10:20:37 +0200

gnome-shell-extension-system-monitor (32-2) experimental; urgency=medium

  * Fix permissions of README.md file

 -- Jonathan Carter <jcarter@linux.com>  Sat, 27 May 2017 15:35:43 +0200

gnome-shell-extension-system-monitor (32-1) experimental; urgency=medium

  * New upstream release
  * Add dependency: gir1.2-clutter-1.0

 -- Jonathan Carter <jcarter@linux.com>  Wed, 03 May 2017 18:55:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcarter@linux.com>
 Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging/tree/master
 
 Package: gnome-shell-extension-system-monitor
 Architecture: all
-Depends: gir1.2-gtop-2.0,
+Depends: gir1.2-clutter-1.0,
+         gir1.2-gtop-2.0,
          gir1.2-networkmanager-1.0,
          gnome-shell (>= 3.16),
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	dh $@
 
 override_dh_auto_build:
+	# Build translations
 	# Arabic translation directory does not exist, (reported upstream)
 	mkdir -p system-monitor@paradoxxx.zero.gmail.com/locale/ar/LC_MESSAGES
 	for POFILE in po/*/system-monitor.po; do \
@@ -11,4 +12,12 @@
 		MOFILE="system-monitor@paradoxxx.zero.gmail.com/locale/$$MOLANG/LC_MESSAGES/system-monitor.mo"; \
 		msgfmt -cv -o $$MOFILE $$POFILE; \
 	done
+	# Compile gschemas so that we don't ship upstream compiled version
+	glib-compile-schemas --strict --targetdir=system-monitor@paradoxxx.zero.gmail.com/schemas/ system-monitor@paradoxxx.zero.gmail.com/schemas
 	dh_auto_build
+
+override_dh_fixperms:
+	dh_fixperms
+	# Bug: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/377
+	chmod 644 debian/gnome-shell-extension-system-monitor/usr/share/doc/gnome-shell-extension-system-monitor/README.md
+

## gnome-shell-extension-system-monitor 33

=== debian/changelog ===
gnome-shell-extension-system-monitor (33-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.1
  * Update maintainer e-mail address
  * Add new authors to copyright
  * Remove override_dh_fixperms, issue fixed upstream

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Nov 2017 12:19:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gnome-shell-extension-system-monitor
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcarter@linux.com>
+Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging/tree/master

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,3 @@
 	glib-compile-schemas --strict --targetdir=system-monitor@paradoxxx.zero.gmail.com/schemas/ system-monitor@paradoxxx.zero.gmail.com/schemas
 	dh_auto_build
 
-override_dh_fixperms:
-	dh_fixperms
-	# Bug: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/377
-	chmod 644 debian/gnome-shell-extension-system-monitor/usr/share/doc/gnome-shell-extension-system-monitor/README.md
-

## gnome-shell-extension-system-monitor 35

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Basic Makefile
 
 UUID = system-monitor@paradoxxx.zero.gmail.com
-BASE_MODULES = $(UUID)/extension.js $(UUID)/README* $(UUID)/metadata.json $(UUID)/prefs.js $(UUID)/stylesheet.css $(UUID)/convenience.js $(UUID)/compat.js
+BASE_MODULES = $(UUID)/extension.js $(UUID)/README* $(UUID)/metadata.json $(UUID)/prefs.js $(UUID)/stylesheet.css $(UUID)/convenience.js $(UUID)/compat.js $(UUID)/gpu_usage.sh
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
 else

=== debian/changelog ===
gnome-shell-extension-system-monitor (35-1ubuntu0.18.04.1) bionic-proposed; urgency=medium

  * debian/patches/fix-object-gio.settings-has-already-been-deallocated.patch:
    Move initialization to enable(), and then properly disable() some objects.
    - LP: #1786608

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 11 Aug 2018 07:04:39 -0500

gnome-shell-extension-system-monitor (35-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.3

 -- Jonathan Carter <jcc@debian.org>  Thu, 12 Apr 2018 14:17:54 +0200

gnome-shell-extension-system-monitor (33-2) unstable; urgency=medium

  * Drop obsolete dependency gir1.2-networkmanager-1.0
    (Closes: #887995)
  * Update standards version to 4.1.3
  * Update compat to level 11

 -- Jonathan Carter <jcc@debian.org>  Fri, 09 Feb 2018 12:17:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gnome-shell-extension-system-monitor
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin
-Standards-Version: 4.1.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
+Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin
+Standards-Version: 4.1.4
 Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging/tree/master
@@ -12,7 +13,6 @@
 Architecture: all
 Depends: gir1.2-clutter-1.0,
          gir1.2-gtop-2.0,
-         gir1.2-networkmanager-1.0,
          gnome-shell (>= 3.16),
          ${misc:Depends}
 Description: Display system information in GNOME Shell status bar

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,3 @@
 	# Compile gschemas so that we don't ship upstream compiled version
 	glib-compile-schemas --strict --targetdir=system-monitor@paradoxxx.zero.gmail.com/schemas/ system-monitor@paradoxxx.zero.gmail.com/schemas
 	dh_auto_build
-

## gnome-shell-extension-system-monitor 36

=== debian/changelog ===
gnome-shell-extension-system-monitor (36-1) unstable; urgency=medium

  * New upstream release
  * Fix BASEDIR path in debian/rules

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Aug 2018 14:03:52 +0200

gnome-shell-extension-system-monitor (35+git201805-904442-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #904442)
  * Remove superfluous README
  * Update standards version to 4.2.0

 -- Jonathan Carter <jcc@debian.org>  Sat, 11 Aug 2018 15:40:03 +0200

=== debian/control ===
Source: gnome-shell-extension-system-monitor
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin
Standards-Version: 4.2.0
Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging.git
Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging/tree/master

Package: gnome-shell-extension-system-monitor
Architecture: all
Depends: gir1.2-clutter-1.0,
         gir1.2-gtop-2.0,
         gnome-shell,
         ${misc:Depends}
Description: Display system information in GNOME Shell status bar
 System information such as memory usage, cpu usage, network rates and more
 can be displayed in the notification area in GNOME Shell.
 .
 Settings can be accessed via gnome-tweak-tool where monitoring settings
 can be adjusted.

## gnome-shell-extension-system-monitor 38

=== debian/changelog ===
gnome-shell-extension-system-monitor (38-1) unstable; urgency=medium

  * New upstream release
  * Add Japanese translation copyright
  * Add Chris Spencer to copyright file
  * Update standards version to 4.4.0
  * Upgrade to debhelper-compat (=12)

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jul 2019 09:57:42 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 12), gettext, libglib2.0-bin
+Standards-Version: 4.4.0
 Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging/tree/master

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
BASEDIR=debian/gnome-shell-extension-*/usr/share/gnome-shell/extensions/*
%:
	dh $@

override_dh_auto_build:
	for POFILE in po/*/system-monitor.po; do \
		MOLANG=$$(echo $$POFILE | sed -e "s/po\///g" | sed -e "s/\/system-monitor.po//g"); \
		MOFILE="system-monitor@paradoxxx.zero.gmail.com/locale/$$MOLANG/LC_MESSAGES/system-monitor.mo"; \
		msgfmt -cv -o $$MOFILE $$POFILE; \
	done

override_dh_auto_install:
	# Compile gschemas so that we don't ship upstream compiled version
	glib-compile-schemas --strict --targetdir=system-monitor@paradoxxx.zero.gmail.com/schemas/ system-monitor@paradoxxx.zero.gmail.com/schemas
	make extension translate

override_dh_install:
	dh_install
	rm -f $(BASEDIR)/README
	sed -i 's/"version": -1/"version": "$(DEB_VERSION)"/' $(BASEDIR)/metadata.json;

override_dh_auto_clean:
	rm system-monitor@paradoxxx.zero.gmail.com/schemas/gschemas.compiled

## gnome-shell-extension-system-monitor 38%2Bgit20200414-32cc79e

=== debian/watch ===
version=4
https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/releases .*?(\d\S*)\.tar\.gz

## gnome-shell-extension-system-monitor 38+git20200414

=== Makefile ===
# -*- coding: utf-8; mode: makefile-gmake -*-
# Basic Makefile

UUID = system-monitor@paradoxxx.zero.gmail.com
INSTALLNAME = $(UUID)

BASE_MODULES = \
  $(UUID)/extension.js \
  $(UUID)/README* \
  $(UUID)/metadata.json \
  $(UUID)/prefs.js \
  $(UUID)/stylesheet.css \
  $(UUID)/convenience.js \
  $(UUID)/compat.js \
  $(UUID)/gpu_usage.sh

# ---------
# variables
# ---------

ifeq ($(strip $(DESTDIR)),)
  INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
  SUDO=
else
  INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
ifeq ($(BUILD_FOR_RPM),1)
  SUDO=
else
  SUDO=sudo
endif
endif

ifdef VERSION
  VSTRING = _v$(VERSION)
else
  VERSION = $(shell git rev-parse HEAD)
  VSTRING =
endif

# VERBOSE level

ifeq ($(V),1)
  Q =
  VV = -v
else
  Q = @
  VV =
endif

# -------
# macros
# -------

# usage: $(call reload-extension $(UUID))

reload-extension = $(shell gnome-shell-extension-tool -r $(1))

# usage: $(call msg,INFO,'lorem ipsum')
msg = @printf '  [%-12s] %s\n' '$(1)' '$(2)'


# -------
# targets
# -------

# is there anymore use of the (old) 'all' target?
# PHONY += all
# all: extension

PHONY += help
help:
	@echo  'Install or remove (and reload) of the extension, for the local user'
	@echo  'or as admin for all users:'
	@echo  ''
	@echo  '  make [install|remove]                        # for the local user'
	@echo  '  make DESTDIR=/ [install|remove] clean        # as admin for all users'
	@echo  ''
	@echo  'Use environment VERSION=n.m to set verison string in the metadata and in'
	@echo  'the generated zip-file explicit.  If no VERSION is passed, the current'
	@echo  'commit SHA1 is used as version number in the metadata while the generated'
	@echo  'zip file has no string attached.'
	@echo  ''
	@echo  'Other targets are:'
	@echo  ''
	@echo  '  zip-file  - build and zip ./$(UUID).zip'
	@echo  '  reload    - reload extension $(UUID)'
	@echo  '  clean     - remove most generated files'
	@echo  '  extension - rebuild schemas/gschemas.compiled'
	@echo  '  translate - generate translation from po/ files'
	@echo  ''
	@echo  'control verbosity:'
	@echo  ''
	@echo  '  make V=0 [targets] -> quiet build (default)'
	@echo  '  make V=1 [targets] -> verbose build'


PHONY += install remove

install: remove build
	$(call msg,$@,$(SUDO) $(INSTALLBASE)/$(INSTALLNAME))
	$(Q) $(SUDO) mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	$(Q) $(SUDO) cp $(VV) -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
ifeq ($(strip $(BUILD_FOR_RPM)),)
	$(Q) $(MAKE) -s reload
endif
	$(call msg,$@,OK)

remove:
	$(call msg,$@,$(SUDO) $(INSTALLBASE)/$(INSTALLNAME))
	$(Q) $(SUDO) rm $(VV) -fr $(INSTALLBASE)/$(INSTALLNAME)
ifeq ($(strip $(BUILD_FOR_RPM)),)
	$(Q) $(MAKE) -s reload
endif
	$(call msg,$@,OK)

reload:
	$(call reload-extension,$(UUID))
	$(call msg,$@,OK)


PHONY += zip-file zip-file.clean
ZIPFILE=$(UUID)$(VSTRING).zip

zip-file: build.clean build
	$(Q)cd _build ; zip $(V) -qr $(ZIPFILE) .
	$(Q)mv _build/$(ZIPFILE) ./$(ZIPFILE)
	$(call msg,$@,OK)

clean:: zip-file.clean
zip-file.clean:
	$(Q)rm $(VV) -f $(ZIPFILE)
	$(call msg,$@,OK)


PHONY += extension extension.clean _drop-gschemas

extension: _drop-gschemas ./$(UUID)/schemas/gschemas.compiled
	$(call msg,$@,OK)

clean:: extension.clean
extension.clean:
	$(Q)git checkout -f -- ./$(UUID)/schemas/gschemas.compiled
	$(call msg,$@,OK)

./$(UUID)/schemas/gschemas.compiled: ./$(UUID)/schemas/org.gnome.shell.extensions.system-monitor.gschema.xml
	$(Q)glib-compile-schemas ./$(UUID)/schemas/
	$(call msg,gschemas,OK)

_drop-gschemas:
	$(Q)rm -f ./$(UUID)/schemas/gschemas.compiled


PHONY += build build.clean

build: translate
	$(Q)mkdir -p _build
	$(Q)cp $(VV) $(BASE_MODULES) _build
	$(Q)mkdir -p _build/locale
	$(Q)cp $(VV) -r $(UUID)/locale/* _build/locale/
	$(Q)mkdir -p _build/schemas
	$(Q)cp $(VV) $(UUID)/schemas/*.xml _build/schemas/
	$(Q)cp $(VV)  $(UUID)/schemas/gschemas.compiled _build/schemas/
	$(Q)sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;
	$(call msg,$@,OK)

clean:: build.clean
build.clean:
	$(Q)rm -fR ./_build
	$(call msg,$@,OK)

PHONY += translate
translate: extension
	$(Q)cd po;\
           ./compile.sh ../system-monitor@paradoxxx.zero.gmail.com/locale \
	   | tr '\n' ' ' \
	   | sed -e 's/^/  [$@   ] /;'; echo
	$(call msg,$@,OK)

clean:: translation.clean
translation.clean:
	$(Q)git checkout -f -- system-monitor@paradoxxx.zero.gmail.com/locale

.PHONY: $(PHONY)

## gnome-shell-extension-system-monitor 38+git20200414-32cc79e

=== debian/changelog ===
gnome-shell-extension-system-monitor (38+git20200414-32cc79e-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jonathan Carter ]
  * New upstream snapshot (Closes: #956171)
  * Add glxinfo to suggests field
  * Install gpu_usage.sh (Closes: #956656)
  * Declare Rules-Requires-Root: no

 -- Jonathan Carter <jcc@debian.org>  Fri, 17 Apr 2020 21:19:22 +0200

gnome-shell-extension-system-monitor (38-2) unstable; urgency=medium

  * Move Vcs to gnome-team on salsa.debian.org
  * Update standards version to 4.5.0
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Tue, 25 Feb 2020 12:06:03 +0200

=== debian/control ===
Source: gnome-shell-extension-system-monitor
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 12), gettext, libglib2.0-bin
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-system-monitor.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-system-monitor

Package: gnome-shell-extension-system-monitor
Architecture: all
Depends: gir1.2-clutter-1.0,
         gir1.2-gtop-2.0,
         gnome-shell,
         ${misc:Depends}
Suggests: glxinfo
Description: Display system information in GNOME Shell status bar
 System information such as memory usage, cpu usage, network rates and more
 can be displayed in the notification area in GNOME Shell.
 .
 Settings can be accessed via gnome-tweak-tool where monitoring settings
 can be adjusted.

## gnome-shell-extension-system-monitor 40

=== Makefile ===
--- 
+++ 
@@ -123,7 +123,7 @@
 
 zip-file: build.clean build
 	$(Q)cd _build ; zip $(V) -qr $(ZIPFILE) .
-	$(Q)mv _build/$(ZIPFILE) ./$(ZIPFILE)
+	$(Q)mv _build/$(ZIPFILE) ./dist/$(ZIPFILE)
 	$(call msg,$@,OK)
 
 clean:: zip-file.clean

=== debian/changelog ===
gnome-shell-extension-system-monitor (40-5) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1
  * d/copyright: Update debian/* entry
  * d/control: Declare gnome 43 compatibility
  * d/p/0001-add-gnome-42-compat.patch: Update patch for Gnome 43 support.
    This disables the battery feature in favor of Gnome 43 support, and is
    intented as a short-term fix until upstream address it:
    https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/749

 -- Samuel Henrique <samueloph@debian.org>  Sun, 25 Sep 2022 14:08:10 +0100

gnome-shell-extension-system-monitor (40-4) unstable; urgency=high

  * d/control: Declare gnome 42 compatibility (closes: #1008557)
  * d/p/0001-add-gnome-42-compat.patch: Update patch to declare gnome 42
    compat

 -- Samuel Henrique <samueloph@debian.org>  Tue, 05 Apr 2022 18:54:10 +0100

gnome-shell-extension-system-monitor (40-3) unstable; urgency=high

  * Install gschema.xml in the right place (closes: #972260)

 -- Samuel Henrique <samueloph@debian.org>  Sat, 23 Oct 2021 14:35:51 +0100

gnome-shell-extension-system-monitor (40-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * [b0f3c19a] Add gnome team as Maintainer

  [ Leo Antunes ]
  * [1c11a559] d/patches: add gnome 41 compat (Closes: #996071)
  * [b8df4add] add myself to uploaders

 -- Leo Antunes <costela@debian.org>  Tue, 19 Oct 2021 12:05:10 +0200

gnome-shell-extension-system-monitor (40-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * [36390636] debian/control: Remove useless dependency on clutter gir

  [ Leo Antunes ]
  * convert repo to git-buildpackage
  * [7c7b70bc] New upstream version 40 (Closes: #993198)

  [ Samuel Henrique ]
  * Bump to DH 13
  * Bump Standards-Version to 4.6.0
  * Add myself as an uploader

 -- Samuel Henrique <samueloph@debian.org>  Sat, 09 Oct 2021 18:24:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: gnome-shell-extension-system-monitor
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12), gettext, libglib2.0-bin
-Standards-Version: 4.5.0
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jonathan Carter <jcc@debian.org>,
+           Samuel Henrique <samueloph@debian.org>, Leo Antunes <costela@debian.org>
+Build-Depends: debhelper-compat (= 13), gettext, libglib2.0-bin
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-system-monitor.git
@@ -11,9 +13,9 @@
 
 Package: gnome-shell-extension-system-monitor
 Architecture: all
-Depends: gir1.2-clutter-1.0,
-         gir1.2-gtop-2.0,
-         gnome-shell,
+Depends: gir1.2-gtop-2.0,
+         gnome-shell (>= 3.26~),
+         gnome-shell (<< 44~),
          ${misc:Depends}
 Suggests: glxinfo
 Description: Display system information in GNOME Shell status bar

=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,4 @@
 	sed -i 's/"version": -1/"version": "$(DEB_VERSION)"/' $(BASEDIR)/metadata.json;
 
 override_dh_auto_clean:
-	rm system-monitor@paradoxxx.zero.gmail.com/schemas/gschemas.compiled
+	rm -f system-monitor@paradoxxx.zero.gmail.com/schemas/gschemas.compiled
